Name:           ms-gsl
Version:        4.0.0
Release:        %mkrel 1
Summary:        Guidelines Support Library
Group:          System/Libraries
License:        MIT
URL:            https://github.com/Microsoft/GSL
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# Header only pkg
BuildArch:      noarch

BuildRequires:  git-core
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  pkgconfig(gtest)

%description
The Guidelines Support Library (GSL) contains functions and types that are
suggested for use by the C++ Core Guidelines maintained by the Standard C++
Foundation. This repo contains Microsoft's implementation of GSL.

The entire implementation is provided inline in the headers under the gsl
directory. The implementation generally assumes a platform that implements
C++14 support.

While some types have been broken out into their own headers (e.g. gsl/span),
it is simplest to just include gsl/gsl and gain access to the entire library.

%package devel
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       guidelines-support-library-devel = %{version}-%{release}
Provides:       microsoft-gsl-devel = %{version}-%{release}

%description devel
The Guidelines Support Library (GSL) contains functions and types that are
suggested for use by the C++ Core Guidelines maintained by the Standard C++
Foundation. This repo contains Microsoft's implementation of GSL.

The entire implementation is provided inline in the headers under the gsl
directory. The implementation generally assumes a platform that implements
C++14 support.

While some types have been broken out into their own headers (e.g. gsl/span),
it is simplest to just include gsl/gsl and gain access to the entire library.

Development files for %{name}.

%prep
%autosetup -p1 -n GSL-%{version}

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DGSL_INSTALL:BOOL=ON \
    -DGSL_TEST:BOOL=ON
%cmake_build

%install
%cmake_install

%files devel
%doc README.md ThirdPartyNotices.txt CONTRIBUTING.md
%license LICENSE
%{_datadir}/cmake/Microsoft.GSL/
%{_includedir}/gsl/


%changelog
* Sun Feb 25 2024 daviddavid <daviddavid> 4.0.0-1.mga9
+ Revision: 2044180
- branch for mga9 (mga#32870)

* Mon Feb 19 2024 daviddavid <daviddavid> 4.0.0-1.mga10
+ Revision: 2042547
- initial package ms-gsl (needed for mixxx)

